E-MailRelay

Public Attributes | List of all members
GSmtp::ServerSend::Advertise Struct Reference

Configuration for the EHLO response. More...

`#include <gsmtpserversend.h>`

Collaboration diagram for GSmtp::ServerSend::Advertise:
[legend]

## Public Attributes
std::string | hello
std::size_t | max_size {0U}
G::StringArray | mechanisms
bool | starttls {false}
bool | vrfy {false}
bool | chunking {false}
bool | binarymime {false}
bool | pipelining {false}
bool | smtputf8 {false}

## Detailed Description

Configuration for the EHLO response.

Definition at line 59 of file gsmtpserversend.h.

## Member Data Documentation

## ◆ binarymime

bool GSmtp::ServerSend::Advertise::binarymime {false}

Definition at line 67 of file gsmtpserversend.h.

## ◆ chunking

bool GSmtp::ServerSend::Advertise::chunking {false}

Definition at line 66 of file gsmtpserversend.h.

## ◆ hello

std::string GSmtp::ServerSend::Advertise::hello

Definition at line 61 of file gsmtpserversend.h.

## ◆ max_size

std::size_t GSmtp::ServerSend::Advertise::max_size {0U}

Definition at line 62 of file gsmtpserversend.h.

## ◆ mechanisms

G::StringArray GSmtp::ServerSend::Advertise::mechanisms

Definition at line 63 of file gsmtpserversend.h.

## ◆ pipelining

bool GSmtp::ServerSend::Advertise::pipelining {false}

Definition at line 68 of file gsmtpserversend.h.

## ◆ smtputf8

bool GSmtp::ServerSend::Advertise::smtputf8 {false}

Definition at line 69 of file gsmtpserversend.h.

## ◆ starttls

bool GSmtp::ServerSend::Advertise::starttls {false}

Definition at line 64 of file gsmtpserversend.h.

## ◆ vrfy

bool GSmtp::ServerSend::Advertise::vrfy {false}

Definition at line 65 of file gsmtpserversend.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpserversend.h